# Constant Field Values

## Contents

- org.pushingpixels.*

## org.pushingpixels.*

org.pushingpixels.lafwidget.LafWidget<T>
Modifier and Type
Constant Field
Value
`public static final String`
`AUTO_SCROLL`
`"lafwidget.scroll.auto"`
`public static final String`
`COMPONENT_PREVIEW_PAINTER`
`"lafwidgets.componentPreviewPainter"`
`public static final String`
`HAS_LOCK_ICON`
`"lafwidgets.hasLockIcon"`
`public static final String`
`IGNORE_GLOBAL_LOCALE`
`"lafwidgets.ignoreGlobalLocale"`
`public static final String`
`PASSWORD_STRENGTH_CHECKER`
`"lafwidgets.passwordStrengthChecker"`
`public static final String`
`TABBED_PANE_PREVIEW_PAINTER`
`"lafwidgets.tabbedpanePreviewPainter"`
`public static final String`
`TEXT_EDIT_CONTEXT_MENU`
`"lafwidgets.textEditContextMenu"`
`public static final String`
`TEXT_FLIP_SELECT_ON_ESCAPE`
`"lafwidgets.textFlipSelectOnEscape"`
`public static final String`
`TEXT_SELECT_ON_FOCUS`
`"lafwidgets.textSelectAllOnFocus"`
`public static final String`
`TREE_AUTO_DND_SUPPORT`
`"lafwidgets.treeAutoDnDSupport"`
org.pushingpixels.lafwidget.LafWidgetUtilities
Modifier and Type
Constant Field
Value
`public static final String`
`PREVIEW_MODE`
`"lafwidgets.internal.previewMode"`

org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.AbstractCarouselMenuAction
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_IMAGE_URL`
`"actionImageURL"`
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.JCarosel
Modifier and Type
Constant Field
Value
`public static final String`
`FRONT_COMPONENT_CHANGE`
`"frontComponentChanged"`